# Create Incoming Test Transfer

## Create Test Incoming Transfer

> Create Test Incoming Payment\
> This endpoint works only in test environment. It is disabled in real environment.

```json
{"openapi":"3.0.1","info":{"title":"Transfers","version":"1.0"},"tags":[{"name":"Test","description":"Test"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","scopes":{}}}}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"CreateTestIncomingPaymentData":{"title":"CreateTestIncomingPaymentData","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Unique customer product identification number in UUID format"},"amount":{"type":"number","description":"transfer amount","minimum":0,"exclusiveMinimum":true,"multipleOf":0.01},"reference":{"type":"string","maxLength":140,"description":"transfer reference"}},"required":["customerProductId","amount","reference"]}}},"paths":{"/transfers-test/incoming-transfer":{"post":{"summary":"Create Test Incoming Transfer","responses":{"202":{"description":"Accepted","content":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"operationId":"create-test-incoming-transfer","description":"Create Test Incoming Payment\nThis endpoint works only in test environment. It is disabled in real environment.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTestIncomingPaymentData"}}}},"tags":["Test"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tradevest.ai/api-reference/transfers/create-incoming-test-transfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
